org.springframework.cloud.dataflow.server

## Class DockerValidatorProperties

- java.lang.Object
- - org.springframework.cloud.dataflow.server.DockerValidatorProperties

-     @ConfigurationProperties(prefix="spring.cloud.dataflow.docker.validation")
      public class DockerValidatorProperties
      extends Object

  Configuration properties for setting up app validation on a docker repository.
  Author:
    Glenn Renfro

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DOCKER_REGISTRY_URL`
    `static String` | `DOCKER_VALIDATION_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DockerValidatorProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getConnectTimeoutInMillis()`
    `String` | `getDockerAuthUrl()`
    `String` | `getDockerRegistryUrl()`
    `String` | `getPassword()`
    `int` | `getReadTimeoutInMillis()`
    `String` | `getUserName()`
    `void` | `setConnectTimeoutInMillis(int connectTimeoutInMillis)`
    `void` | `setDockerAuthUrl(String dockerAuthUrl)`
    `void` | `setDockerRegistryUrl(String dockerRegistryUrl)`
    `void` | `setPassword(String password)`
    `void` | `setReadTimeoutInMillis(int readTimeoutInMillis)`
    `void` | `setUserName(String userName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DOCKER_VALIDATION_PREFIX

          public static final String DOCKER_VALIDATION_PREFIX

      See Also:
        Constant Field Values

    - #### DOCKER_REGISTRY_URL

          public static final String DOCKER_REGISTRY_URL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DockerValidatorProperties

          public DockerValidatorProperties()

  - ### Method Detail

    - #### getUserName

          public String getUserName()

    - #### setUserName

          public void setUserName(String userName)

    - #### getPassword

          public String getPassword()

    - #### setPassword

          public void setPassword(String password)

    - #### getDockerAuthUrl

          public String getDockerAuthUrl()

    - #### setDockerAuthUrl

          public void setDockerAuthUrl(String dockerAuthUrl)

    - #### getDockerRegistryUrl

          public String getDockerRegistryUrl()

    - #### setDockerRegistryUrl

          public void setDockerRegistryUrl(String dockerRegistryUrl)

    - #### getConnectTimeoutInMillis

          public int getConnectTimeoutInMillis()

    - #### setConnectTimeoutInMillis

          public void setConnectTimeoutInMillis(int connectTimeoutInMillis)

    - #### getReadTimeoutInMillis

          public int getReadTimeoutInMillis()

    - #### setReadTimeoutInMillis

          public void setReadTimeoutInMillis(int readTimeoutInMillis)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.